Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /tradeSummary

prices probe ok

Bulk board — best poller source (all symbols in one call).

Used by UI: Trade summary / market board

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/tradeSummary' \
  -H 'Content-Type: application/json' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d '{}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "tradeSummary",
    "url": "https://www.cse.lk/api/tradeSummary",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:30.035972+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "reqTradeSummery"
      ]
    }
  },
  "response": {
    "reqTradeSummery": [
      {
        "id": 2065,
        "name": "ACCESS ENGINEERING PLC",
        "symbol": "AEL.N0000",
        "logoUrl": "upload_logo/1141_1601609745.jpeg",
        "quantity": 2000,
        "percentageChange": 0.9186351706036745,
        "change": 0.7,
        "price": 76.9,
        "previousClose": 76.2,
        "high": 77.0,
        "low": 76.0,
        "lastTradedTime": 1784192023480,
        "issueDate": "27/MAR/2012",
        "turnover": 36660600.3,
        "sharevolume": 481526,
        "tradevolume": 81,
        "marketCap": 76900000000.0,
        "marketCapPercentage": 0.0,
        "open": 76.8,
        "closingPrice": 76.9,
        "crossingVolume": 481526,
        "crossingTradeVol": 81,
        "status": 0
      },
      {
        "id": 472,
        "name": "ACL CABLES PLC",
        "symbol": "ACL.N0000",
        "logoUrl": "upload_logo/644_1601622355.jpeg",
        "quantity": 43,
        "percentageChange": 0.7291666666666666,
        "change": 0.7,
        "price": 96.7,
        "previousClose": 96.0,
        "high": 97.0,
        "low": 96.4,
        "lastTradedTime": 1784190237701,
        "issueDate": "01/JAN/1976",
        "turnover": 864475.7,
        "sharevolume": 8940,
        "tradevolume": 43,
        "marketCap": 69500626272.0,
        "marketCapPercentage": 0.0,
        "open": 96.5,
        "closingPrice": 96.7,
        "crossingVolume": 1193613,
        "crossingTradeVol": 45,
        "status": 0
      },
      {
        "id": 406,
        "name": "ACL PLASTICS PLC",
        "symbol": "APLA.N0000",
        "logoUrl": "upload_logo/643_1601622375.jpeg",
        "quantity": 593,
        "percentageChange": 0.1763668430335097,
        "change": 0.25,
        "price": 142.0,
        "previousClose": 141.75,
        "high": 143.0,
        "low": 141.0,
        "lastTradedTime": 1784192391059,
        "issueDate": "05/APR/1995",
        "turnover": 485756.25,
        "sharevolume": 3427,
        "tradevolume": 30,
        "marketCap": 5981750000.0,
        "marketCapPercentage": 0.0,
        "open": 143.0,
        "closingPrice": 142.0,
        "crossingVolume": 3427,
        "crossingTradeVol": 30,
        "status": 0
      }
    ],
    "_truncated": {
      "list_key": "reqTradeSummery",
      "kept": 3,
      "original_len": 273
    }
  }
}